Beefy Boxes and Bandwidth Generously Provided by pair Networks
Perl: the Markov chain saw

Error with and DBD::mysql

by spider79 (Initiate)
on Dec 07, 2011 at 21:09 UTC ( #942327=perlquestion: print w/ replies, xml ) Need Help??
spider79 has asked for the wisdom of the Perl Monks concerning the following question:

I am having a problem with and DBD:mysql

It produces the following error when I try to run my perl code

DynaLoader::bootstrap for DBD::mysql (auto/DBD/mysql/ [Wed, 07-Dec-11 12:40:17] install_driver(mysql) failed: DBD::mysql obj +ect version 4.020 does not match bootstrap parameter 3.0007 at /usr/l +ib64/perl5/5.8.8/x86_64-linux-thread-multi/ line 253, <G +EN1> line 1. Compilation failed in require at (eval 17) line 3, <GEN1> line 1.

It looks like an installation error - but what did I do wrong?

Comment on Error with and DBD::mysql
Download Code
Replies are listed 'Best First'.
Re: Error with and DBD::mysql
by afoken (Prior) on Dec 07, 2011 at 21:27 UTC

    Looks like you copied files around instead of doing a proper install. Undo the copy and install DBD::mysql as documented.


    Today I will gladly share my knowledge and experience, for there are no sweeter words than "I told you so". ;-)
Re: Error with and DBD::mysql
by spider79 (Initiate) on Dec 08, 2011 at 18:07 UTC

    I uninstalled the DBD::mysql modules with pm-uninstall and reinstalled it with cpan, but I see the same problem as before.

Log In?

What's my password?
Create A New User
Node Status?
node history
Node Type: perlquestion [id://942327]
Approved by Plankton
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others wandering the Monastery: (3)
As of 2015-10-08 21:09 GMT
Find Nodes?
    Voting Booth?

    Does Humor Belong in Programming?

    Results (228 votes), past polls